foreman-installer --reset-data does not clear /var/lib/pulp/content/*

09/03/2020 09:25 PM - William Clark

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: foreman-installer script   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/572

  

Description

`foreman-installer --reset-data` will drop the Pulp2 database and clear files at `/var/lib/pulp/{distributions,published,repos}/*` but does

not clear files at `/var/lib/pulp/content/*`

this is a bug as there is no reason to preserve `/var/lib/pulp/content/*` when dropping the Pulp database

Associated revisions

Revision 214e96e1 - 09/04/2020 12:21 AM - William Clark

Fixes #30776 - --reset-data should clear /var/lib/pulp/content/*

History

#1 - 09/03/2020 09:30 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/572 added

#2 - 09/04/2020 12:21 AM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#3 - 09/04/2020 01:01 AM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset installer|214e96e1b9355d51f9b6408b3d68b46a84c45893.

#4 - 11/30/2020 06:24 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.3.0

- Triaged changed from No to Yes
